Bug 1005236 - Changes required from MATE for better gnome-software integration
Changes required from MATE for better gnome-software integration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mate-desktop (Show other bugs)
20
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 09:36 EDT by Elad Alfassa
Modified: 2014-12-18 17:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-18 17:13:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2013-09-06 09:36:02 EDT
Continuing our discussion from #fedora-devel

gnome-software is the new app installer for GNOME.

For more information, refer to this blogpost: http://en.eladalfassa.com/2013/09/gnome-software/

The following changes are required from MATE:
1) [top-most priority] If you want us to remove the blacklist from all desktop files starting with mate-*, add X-MATE-Settings-Panel category to all desktop files that launch settings-related stuff, for example mate-power-manager and similar.

2) [nice-to-have] Some MATE apps still have the exact same description and name as GNOME apps (in the desktop files). To prevent confusion, it would be nice if you go through gnome-software, find duplicate names and change them to prevent users from confusing between gnome apps and mate apps.

3) [nice-to-have] Add appdata if you want applications to have long descriptions. See https://lists.fedoraproject.org/pipermail/devel/2013-September/188799.html for more information

Thanks.
Comment 1 Dan Mashal 2013-09-06 09:38:13 EDT
I'm taking this and will work with you ASAP on this.
Comment 2 Wolfgang Ulbrich 2013-09-08 08:53:58 EDT
(In reply to Elad Alfassa from comment #0)
> Continuing our discussion from #fedora-devel
> 
> gnome-software is the new app installer for GNOME.
> 
> For more information, refer to this blogpost:
> http://en.eladalfassa.com/2013/09/gnome-software/
> 
> The following changes are required from MATE:
> 1) [top-most priority] If you want us to remove the blacklist from all
> desktop files starting with mate-*, add X-MATE-Settings-Panel category to
> all desktop files that launch settings-related stuff, for example
> mate-power-manager and similar.
> 
Can you explain a little more detailed why you need X-MATE-Settings-Panel category?
Does this affected also applications which doesn't use 'mate' in desktop file name?

Some packages have several desktop files, should we only add this category to the main desktop file?

And why you blacklist 'mate', sounds not very friendly....

Questions about questions.........;)

PS: Personaly i don't like packagekit backend and prefer yum (yumex)
Comment 3 Dan Mashal 2013-09-08 08:59:23 EDT
(In reply to Wolfgang Ulbrich from comment #2)
> (In reply to Elad Alfassa from comment #0)
> > Continuing our discussion from #fedora-devel
> > 
> > gnome-software is the new app installer for GNOME.
> > 
> > For more information, refer to this blogpost:
> > http://en.eladalfassa.com/2013/09/gnome-software/
> > 
> > The following changes are required from MATE:
> > 1) [top-most priority] If you want us to remove the blacklist from all
> > desktop files starting with mate-*, add X-MATE-Settings-Panel category to
> > all desktop files that launch settings-related stuff, for example
> > mate-power-manager and similar.
> > 
> Can you explain a little more detailed why you need X-MATE-Settings-Panel
> category?
> Does this affected also applications which doesn't use 'mate' in desktop
> file name?
> 
> Some packages have several desktop files, should we only add this category
> to the main desktop file?
> 
> And why you blacklist 'mate', sounds not very friendly....
> 
> Questions about questions.........;)
> 
> PS: Personaly i don't like packagekit backend and prefer yum (yumex)

This is the discussion I was talking about in #fedora-devel last night. Please yum install gnome-software and run gnome-software from the terminal.
Comment 4 Wolfgang Ulbrich 2014-12-18 17:13:24 EST
[rave@f22-qemu ~]$ gsettings get org.gnome.software compatible-projects
['GNOME', 'KDE', 'XFCE']

With that default settings your software is pretty useless for MATE.

Note You need to log in before you can comment on or make changes to this bug.